#!/usr/bin/env bash

set -euo pipefail

if [ "${1:-}" = "" ]
then
	echo "[!] no lisp files provided, exiting." > /dev/stderr
	exit 1
fi

LISP=$1
NAME=$(basename "$1" .lisp)
shift

sbcl --load "$LISP" \
     --eval "(sb-ext:save-lisp-and-die \"$NAME\"
               :executable t
               :save-runtime-options t
               :toplevel '$NAME:toplevel)"
